Subject: Installation: Cannot redeclare class t3lib_install
Description

Trying to install TYPO3 version 6.0.0 beta2 but it fails with the following PHP error message:

[error] [client 127.0.0.1] PHP Fatal error:  Cannot redeclare class t3lib_install in
/var/www/blankpackage-6.0.0beta2/typo3_src-6.0.0beta2/t3lib/class.t3lib_install.php on line 39

The error occurs as soon as you try to access the Install Tool (to start the installation): http:// localhost/typo3/install/index.php

PHP 5.3.5-1ubuntu7.10 with Suhosin-Patch (cli) (built: Jun 19 2012 00:54:05) 
Ubuntu version 11.04 (GNU/Linux 2.6.38-13-generic i686) Desktop Edition

Step-by-step:
(1) download and extract blankpackage-6.0.0beta2.tar.gz
(2) sudo chown -R www-data:www-data blankpackage-6.0.0beta2
(3) sudo touch typo3conf/ENABLE_INSTALL_TOOL
(4) http:// localhost/typo3/install/index.php
(5) white screen -> error in log file

If you do not create the ENABLE_INSTALL_TOOL file, the note appears, that you have to create it first. The problem occurs with the
Blank Package as well as with the Introduction Package. Same steps as above for Introduction Package, but in this case you do not
need to create the ENABLE_INSTALL_TOOL file (but the PHP error occurs).

Related issues:
related to Core - Bug # 41245: Deprecate t3lib_install Resolved 2012-09-22

History
#1 - 2012-09-20 14:28 - Tilo Baller
- File typo3_install_tool_problem.png added

Same here, but with governmentpackage-6.0.0beta2.

Step-by-step:
(1) tar -xvzf governmentpackage-6.0.0beta2.tar.gz
(2) sudo chown -R www-data:www-data governmentpackage-6.0.0beta2
(3) call in browser (remote server)
(4) see attached screenshot

ENABLE_INSTALL_TOOL file is already there in government package.
Debian Squeeze

$ uname -a
Linux t3-2 2.6.32-5-686-bigmem #1 SMP Mon Jun 13 05:03:09 UTC 2011 i686 GNU/Linux

$ php5 -version
PHP 5.3.3-7+squeeze9 with Suhosin-Patch (cli) (built: May  9 2012 07:20:37) 
Copyright (c) 1997-2009 The PHP Group
Zend Engine v2.3.0, Copyright (c) 1998-2010 Zend Technologies
    with Xdebug v2.1.0, Copyright (c) 2002-2010, by Derick Rethans

$ dpkg -l | grep -i php
rc  libapache2-mod-php5                      5.2.6.dfsg.1-1+lenny4        server-side, HTML-embedded scripting language (Apache 2 module)
ii  libapache2-mod-php5filter                5.3.3-7+squeeze9             server-side, HTML-embedded scripting language (apache 2 filter module)
ii  php-apc                                  3.1.3p1-2                    APC (Alternative PHP Cache) module for PHP 5
ii  php-pear                                 5.3.3-7+squeeze9             PEAR - PHP Extension and Application Repository
ii  php5                                     5.3.3-7+squeeze9             server-side, HTML-embedded scripting language (metapackage)
ii  php5-cli                                 5.3.3-7+squeeze9             command-line interpreter for the php5 scripting language
ii  php5-common                              5.3.3-7+squeeze9             Common files for packages built from the php5 source
ii  php5-curl                                5.3.3-7+squeeze9             CURL module for php5
ii  php5-dev                                 5.3.3-7+squeeze9             Files for PHP5 module development
ii  php5-gd                                  5.3.3-7+squeeze9             GD module for php5
ii  php5-mcrypt                              5.3.3-7+squeeze9             MCrypt module for php5
ii  php5-memcache                            3.0.4-4+squeeze1             memcache extension module for PHP5
ii  php5-memcached                           1.0.2-1+squeeze1             memcached extension module for PHP5
ii  php5-mysql                               5.3.3-7+squeeze9             MySQL module for php5
rc  php5-xcache                              1.3.0-7                      Fast, stable PHP opcode cacher
ii  php5-xdebug                              2.1.0-1                      Xdebug Module for PHP 5
ii  php5-xmlrpc                              5.3.3-7+squeeze9             XML-RPC module for php5
ii  php5-xsl                                 5.3.3-7+squeeze9             XSL module for php5
ii  phpmyadmin                               4:3.3.7-7                    MySQL web administration tool

$ dpkg -l | grep -i apache
ii  apache2                                  2.2.16-6+squeeze7            Apache HTTP Server metapackage
ii  apache2-mpm-prefork                      2.2.16-6+squeeze7            Apache HTTP Server - traditional non-threaded model
ii  apache2-utils                            2.2.16-6+squeeze7            utility programs for webservers
ii  apache2.2-bin                            2.2.16-6+squeeze7            Apache HTTP Server common binary files
ii  apache2.2-common                         2.2.16-6+squeeze7            Apache HTTP Server common files
rc  libapache2-mod-php5                      5.2.6.dfsg.1-1+lenny4        server-side, HTML-embedded scripting language (Apache 2 module)
ii  libapache2-mod-php5filter                5.3.3-7+squeeze9             server-side, HTML-embedded scripting language (apache 2 filter module)
ii  libapache2-mod-python                    3.3.1-9+b1                   Python-embedding module for Apache 2
ii  libapr1                                  1.4.2-6+squeeze4             The Apache Portable Runtime Library
ii  libaprutil1                              1.3.9+dfsg-5                 The Apache Portable Runtime Utility Library
ii  libaprutil1-dbd-sqlite3                  1.3.9+dfsg-5                 The Apache Portable Runtime Utility Library - SQLite3 Driver
ii  libaprutil1-ldap                         1.3.9+dfsg-5                 The Apache Portable Runtime Utility Library - LDAP Driver

#2 - 2012-09-21 14:42 - Torben Hansen
Same problem here.

#3 - 2012-09-22 08:29 - Dieter Bunkerd

Same problem here. With both the Introduction-Package and the dummy package.

#4 - 2012-09-22 13:24 - Christian Kuhn

This might be fixed with #41245. Additional question: is dbal loaded at this point in LocalConfiguration.php?

#5 - 2012-09-22 15:22 - Dieter Bunkerd

Positive. Patch in #41245 fixed it for me. Thanks.
dbal was NOT loaded in LocalConfiguration.php

#6 - 2012-09-23 04:48 - Michael Schams

Affirmative. Issue has been fixed and installation process works with latest sources in GIT.

Tested with/on:
PHP 5.3.5-1ubuntu7.11 with Suhosin-Patch (cli) (built: Sep 12 2012 18:49:41)
Ubuntu version 11.04 (GNU/Linux 2.6.38-16-generic i686) Desktop Edition

#7 - 2012-09-23 19:23 - Oliver Hader
- Status changed from New to Resolved
- Target version set to 6.0.0-RC1
- % Done changed from 0 to 100

Fixed with change in issue #41245
